Description

Create a simple report sand save it. Now change it, close the report and re-open the KAR (I've been right-clicking in the components
tree). You should see the changed report. Now restart Kepler and re-open the KAR. You should see the original report.

Related issues:
Blocks Kepler - Bug #4524: no prompt to save a changed report Resolved 11/03/2009

History

#1 - 11/03/2009 06:39 PM - Oliver Soong

And I'm not touching the Refresh (using current layout) button, so that should have nothing to do with it.

#2 - 11/04/2009 09:08 AM - ben leinfelder

sounds like we need to "clear out the memory" when we close the window for this workflow/layout.
this should probably be done in concert with the "prompting to save when changed layout is closed" bug #4524

#3 - 11/04/2009 11:42 AM - ben leinfelder

Upon further investigation, it seems that the ReportLayout (object) is being modified as it resides in the cache. So when you look up the layout using
the LSID you get the latest version as it exists in memory. It seems that reopening the KAR does not purge the cache of that modified ReportLayout in
preference for the original ReportLayout as given in the KAR.

It appears that the cache() method in the KAREntry handler interface is not being called for the report layouts (since | presume the KAR has already
been cached on previous start ups of Kepler).

#4 - 11/18/2009 02:25 PM - ben leinfelder

we are now getting rid of the report layout when the frame is closed - only the version that is in the kar will be used.

#5 - 03/27/2013 02:27 PM - Redmine Admin
Original Bugzilla ID was 4525
